solution "D3Engine"
   configurations { "Debug", "Release" }
	location "../build/"	
   project "D3EngineStaticLib"
      kind "StaticLib"
	  targetdir "../lib/"
	  targetname "d3"
	  includedirs "../include/"
      language "C"
      files { 
		"../include/d3.h", 
		"../src/d3_internal.h", 
		"../src/d3.c" 
	 }
 
      configuration "Debug"
         defines { "DEBUG" }
         flags { "Symbols" }
 
      configuration "Release"
         defines { "NDEBUG" }
         flags { "Optimize" }   
		 

   project "D3EngineSharedLib"
      kind "SharedLib"
	  targetdir "../lib/shared"
	  targetname "d3"
	  includedirs "../include/"
      language "C"
      files { 
		"../include/d3.h", 
		"../src/d3_internal.h", 
		"../src/d3.c" 
	 }
 
      configuration "Debug"
         defines { "DEBUG", "D3_DLL"}
         flags { "Symbols" }
 
      configuration "Release"
         defines { "NDEBUG", "D3_DLL"}
         flags { "Optimize" }   

   project "D3test"
      kind "ConsoleApp"
	  targetdir "../samples/bin"
	  includedirs "../include/"
      language "C"
	  links { "D3EngineStaticLib" }
      files { 
		"../samples/test/d3test.c" 
	 }
 
      configuration "Debug"
         defines { "DEBUG" }
         flags { "Symbols" }
 
      configuration "Release"
         defines { "NDEBUG" }
         flags { "Optimize" }   		 		 